/**
* DevExtreme (ui/color_box.d.ts)
* Version: 18.2.16
* Build date: Fri Dec 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxColorBox(): JQuery;
    dxColorBox(options: "instance"): DevExpress.ui.dxColorBox;
    dxColorBox(options: string): any;
    dxColorBox(options: string, ...params: any[]): any;
    dxColorBox(options: DevExpress.ui.dxColorBoxOptions): JQuery;
}
}
export default DevExpress.ui.dxColorBox;
export type Options = DevExpress.ui.dxColorBoxOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxColorBoxOptions;